Subject: [Ips] iSCSI protocol - use of SendTargets

From: Parav Pandit <[email-masked]>
Date: Thu, 7 Jun 2007 05:40:46 -0700 (PDT)

Hi,

I am new to iSCSI protocol and gearing up.
Is this the right mailing list to ask questions related to  iSCSI protocol?

if yes,

1.  iSCSI target is identified by the network portal (IP + port).
So once the iSCSI target is identified by the network portal and Login to it is successful, why do we need to ask for SendTargets command?
TargetName and TargetAddress returned are immaterial (because we already know the target address to which we have logged-in), unless there are multiple addresses for them and failover is required used.
Or it is used for communicating different TCP port on which initiators can send TUR, Inquiry, Read, Write commands?

What is the expected information from the target in response to SendTargets command?

Regards,
Parav Pandit

---------------------------------
It's here! Your new message!
Get new email alerts with the free Yahoo! Toolbar.

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips

---

From: GirisH <[email-masked]>
Date: Thu, 7 Jun 2007 09:17:38 -0400

There are two types of Sessions
1) Discovery Session -- This session contains the key as SENDTarget. No IO
is allowed in this session.Only to get target Informaion
2) Normal Session : IO are allowed in FFP.

The reply of SendTarget contains

TargetName=<target-name-goes-here>

Followed by zero or more address keys of the form:

TargetAddress=<hostname-or-ipaddress>[:<tcp-port>],
<portal-group-tag>

The hostname-or-ipaddress contains a domain name, IPv4 address, or
IPv6 address, as specified for the TargetAddress key.

iSCSI target is identified by <hostname-or-ipaddress>[:<tcp-port>],
<portal-group-tag>. Tag is very IMP.

---Girish

On 6/7/07, Parav Pandit <[email-masked]> wrote:
> So once the iSCSI target is identified by the network portal and Login to
> it is successful, why do we need to ask for SendTargets command?
> TargetName and TargetAddress returned are immaterial (because we already
> know the target address to which we have logged-in), unless there are
> multiple addresses for them and failover is required used.
>  ------------------------------
> Get new email alerts<http://us.rd.yahoo.com/evt=49938/*http://tools.search.yahoo.com/toolbar/features/mail/>with the free Yahoo!
> Toolbar.
>
>

On 6/7/07, Parav Pandit <[email-masked]> wrote:
> So once the iSCSI target is identified by the network portal and Login to
> it is successful, why do we need to ask for SendTargets command?
> TargetName and TargetAddress returned are immaterial (because we already
> know the target address to which we have logged-in), unless there are
> multiple addresses for them and failover is required used.
>  ------------------------------
> Get new email alerts
> <http://us.rd.yahoo.com/evt=49938/*http://tools.search.yahoo.com/toolbar/features/mail/>with
> the free Yahoo! Toolbar.
>
>

---

From: "Sandars, Ken" <[email-masked]>
Date: Thu, 7 Jun 2007 14:58:57 -0700

Hi Parav,
 
Before any author shamelessly plugs their iSCSI publications, I suggest
you have a quick re-read of RFC3720. 
 
In particular, section 3.4 pages 37-40 cover some really important
concepts that I think will help your understanding. Then jump to the
start of section 3, page 17 for more concepts and definitions.
 
The specifics of the SendTargets command are in Appendix D.
 
HTH
Ken

________________________________

From: Parav Pandit [mailto:[email-masked]] 
Sent: Thursday, 7 June 2007 22:41
To: [email-masked]
Subject: [Ips] iSCSI protocol - use of SendTargets

Hi,

I am new to iSCSI protocol and gearing up.
Is this the right mailing list to ask questions related to  iSCSI
protocol?

if yes,

1.  iSCSI target is identified by the network portal (IP + port).
So once the iSCSI target is identified by the network portal and Login
to it is successful, why do we need to ask for SendTargets command?
TargetName and TargetAddress returned are immaterial (because we already
know the target address to which we have logged-in), unless there are
multiple addresses for them and failover is required used.
Or it is used for communicating different TCP port on which initiators
can send TUR, Inquiry, Read, Write commands?

What is the expected information from the target in response to
SendTargets command?

Regards,
Parav Pandit

________________________________

It's here! Your new message!
Get new email alerts
<http://us.rd.yahoo.com/evt=49938/*http://tools.search.yahoo.com/toolbar
/features/mail/>  with the free Yahoo! Toolbar.
<http://us.rd.yahoo.com/evt=49938/*http://tools.search.yahoo.com/toolbar
/features/mail/> 
_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips

---

From: "Eddy Quicksall" <[email-masked]>
Date: Fri, 29 Jun 2007 08:24:25 -0400

I agree with Ken on the reading below. You may have alredy figured this out but just to try to give a simple answer to your question ... suppose you have built a box that has several targets each with different ip addresses; the user at the initiator could just give one of the ip addresses as the "discovery address"; this could be the address of only one of the targets; the initiator can then log on as a discovery session using that address and use SendTargets to find the names and addresses of all targets.

Eddy
  ----- Original Message ----- 
  From: Sandars, Ken 
  To: Parav Pandit ; [email-masked] 
  Sent: Thursday, June 07, 2007 5:58 PM
  Subject: RE: [Ips] iSCSI protocol - use of SendTargets

  Hi Parav,

  Before any author shamelessly plugs their iSCSI publications, I suggest you have a quick re-read of RFC3720. 

  In particular, section 3.4 pages 37-40 cover some really important concepts that I think will help your understanding. Then jump to the start of section 3, page 17 for more concepts and definitions.

  HTH
  Ken

------------------------------------------------------------------------------
  From: Parav Pandit [mailto:[email-masked]] 
  Sent: Thursday, 7 June 2007 22:41
  To: [email-masked]
  Subject: [Ips] iSCSI protocol - use of SendTargets

  Hi,

  if yes,

  Regards,
  Parav Pandit

------------------------------------------------------------------------------
  It's here! Your new message!
  Get new email alerts with the free Yahoo! Toolbar. 

------------------------------------------------------------------------------

---

From: Julian Satran <[email-masked]>
Date: Sat, 30 Jun 2007 12:04:02 +0300

Ken - what exactly does "Before any author shamelessly plugs their iSCSI 
publications, I suggest you have a quick re-read of RFC3720. " reffer to? 
- Julo

"Eddy Quicksall" <[email-masked]> 
29/06/07 15:24

To
"Sandars, Ken" <[email-masked]>, "Parav Pandit" 
<[email-masked]>, <[email-masked]>
cc

Subject
Re: [Ips] iSCSI protocol - use of SendTargets

I agree with Ken on the reading below. You may have alredy figured this 
out but just to try to give a simple answer to your question ... suppose 
you have built a box that has several targets each with different ip 
addresses; the user at the initiator could just give one of the ip 
addresses as the "discovery address"; this could be the address of only 
one of the targets; the initiator can then log on as a discovery session 
using that address and use SendTargets to find the names and addresses of 
all targets.
 
Eddy
----- Original Message ----- 
From: Sandars, Ken 
To: Parav Pandit ; [email-masked] 
Sent: Thursday, June 07, 2007 5:58 PM
Subject: RE: [Ips] iSCSI protocol - use of SendTargets

Hi Parav,

In particular, section 3.4 pages 37-40 cover some really important 
concepts that I think will help your understanding. Then jump to the start 
of section 3, page 17 for more concepts and definitions.

HTH
Ken

Hi,

if yes,

1.  iSCSI target is identified by the network portal (IP + port).
So once the iSCSI target is identified by the network portal and Login to 
it is successful, why do we need to ask for SendTargets command?
TargetName and TargetAddress returned are immaterial (because we already 
know the target address to which we have logged-in), unless there are 
multiple addresses for them and failover is required used.
Or it is used for communicating different TCP port on which initiators can 
send TUR, Inquiry, Read, Write commands?

Regards,
Parav Pandit